datacache <- new.env(hash=TRUE, parent=emptyenv())

mgu74bv2mmug <- function() showQCData("mgu74bv2mmug", datacache)
mgu74bv2mmug_dbconn <- function() dbconn(datacache)
mgu74bv2mmug_dbfile <- function() dbfile(datacache)
mgu74bv2mmug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mgu74bv2mmug_dbInfo <- function() dbInfo(datacache)

mgu74bv2mmugORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mgu74bv2mmug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mgu74bv2mmug", "chip mgu74bv2mmug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("mgu74bv2mmug.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mgu74bv2mmug_dbconn())
}

